Announcement

Collapse
No announcement yet.

Uninstalling Catalyst/fglrx leaves behind a broken system

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Uninstalling Catalyst/fglrx leaves behind a broken system

    i uninstall the catalyst 11.9 the one in the packetmanagment system after that KDE never start again

    then i install ubuntu-desktop in the bash and the ubuntu desktop only start unusable broken.

    then i install the fglrx again now KDE starts again...

    very sad... how to uninstall the catalyst without broke the system??

  • #2
    reinstall mesa-libGL

    In Fedora i need to reinstall mesa-libGL after i remove ATI blob

    Comment


    • #3
      Originally posted by The IceMan View Post
      In Fedora i need to reinstall mesa-libGL after i remove ATI blob
      wow nice AMD ,,, destroying the integrity of my linux system and no BIG FAT WARNING.
      Canonical should warn the user like this: "Warning you will lose your system integrity and operational safety if you install this"

      FAIL!

      Comment


      • #4
        Originally posted by Qaridarium View Post
        wow nice AMD ,,, destroying the integrity of my linux system and no BIG FAT WARNING.
        Canonical should warn the user like this: "Warning you will lose your system integrity and operational safety if you install this"

        FAIL!
        Blame your package manager. It should install a proper libgl when removing the one belonging to fglrx. But we don't know yet whether this is the issue anyway.

        Comment


        • #5
          Originally posted by ChrisXY View Post
          Blame your package manager. It should install a proper libgl when removing the one belonging to fglrx. But we don't know yet whether this is the issue anyway.
          How my package manager should know what to do if I use ATI binary blob ?

          Comment


          • #6
            Nvidia already has a new update/driver coming and AMD won't even test their own Linux graphics driver! More evidence AMD only cares about supporting Windows!

            Catalyst 11.9 screws up your system if you try to uninstall....

            http://ubuntuforums.org/showthread.p...=catalyst+11.9

            I'm guessing these how-tos don't work for everyone. ;-)

            http://drivers.downloadatoz.com/tuto...ntu-11-10.html

            http://linux-software-news-tutorials...-with-ati.html

            Maybe the uninstaller is removing required X-Server 'stuff' or related to the gui desktop and 'doesn't put it back?' I dunno....

            Comment


            • #7
              as long as fglrx is installed via my script or with apt-get it should be possible to get removed via

              http://kanotix.com/files/fix/oss-tes...nary-driver.sh

              if you executed the ati-installer directly it is your own fault. you can install a driver again with my script using -z option, then reboot.

              http://kanotix.com/files/install-fglrx-debian.sh

              as 11-9 is extremely broken the script currently installs 11-8 and will install 11-10 at halloween.

              Comment


              • #8
                Originally posted by Kano View Post
                as long as fglrx is installed via my script or with apt-get it should be possible to get removed via

                http://kanotix.com/files/fix/oss-tes...nary-driver.sh

                if you executed the ati-installer directly it is your own fault. you can install a driver again with my script using -z option, then reboot.

                http://kanotix.com/files/install-fglrx-debian.sh

                as 11-9 is extremely broken the script currently installs 11-8 and will install 11-10 at halloween.
                nice.. but this means you can not use kubuntu/ubuntu without kanotix scrips... this is very curious

                Comment


                • #9
                  If it is caused by overwritten libgl(x), then the following commands should work: http://wiki.cchtml.com/index.php/Ubu...talyst.2Ffglrx
                  As Kano said, the package manager should take care of the libgl(x) alternatives/diversions and I think Ubuntu might (finally) do it correctly now in Oneiric/11.10 with their fglrx-update packages if you want to use the latest Catalyst. Theoretically, the packaging scripts included with the ATI driver installer should work just as well, but that's still just a theory..

                  Comment


                  • #10
                    Originally posted by Qaridarium View Post
                    nice.. but this means you can not use kubuntu/ubuntu without kanotix scrips... this is very curious
                    Ubuntu has packaged Catalyst 11.8, which is the last working version on Linux, period. It stops it from overwriting Mesa files with its own like the AMD installer likes to do.

                    The Ubuntu packages (and Debian's, and RPM Fusion on Fedora) all put FGLRX's libGL into its own folder and set a diversion so the system uses that one instead. If you remove FGLRX later on, your system will still work because no system files were destroyed.

                    Using AMD's installer is stupid, they mutilate your system, and "when it breaks,you get to keep both pieces". Don't use them. (At least not directly) The buildpkg option might build a distribution package for you which installs in a well-behaved manner, but just using the script and installing it from that is a good way to wreck your system. It's not a matter of, but when. Even if it appears to work at first, an X server or kernel update will come along and break it. (This is another issue, separate from overwriting core system files.

                    Same advice typically applies to Nvidia, don't use their installer.
                    Last edited by DaemonFC; 10-23-2011, 01:18 AM.

                    Comment

                    Working...
                    X